ArrayList<Particle> particles = new ArrayList<Particle>();

void setup() 
{
  size(480, 270); 
  colorMode(HSB, 360, 100, 100, 100);
}

void draw() 
{
  // A new Particle object is added to the ArrayList every cycle through draw().
  particles.add(new Particle()); 

  background(0, 0, 100);
  // Iterate through our ArrayList and get each Particle
  // The ArrayList keeps track of the total number of particles.
  for (int i = 0; i < particles.size(); i++) 
  { 
    particles.get(i).update();
    particles.get(i).display();
  }

  // If the ArrayList has more than 100 elements in it, we delete the first element, using remove().
  if (particles.size() > 100) {
    particles.remove(0);
  }
}