// Daniel Shiffman Example 23-2: Simple particle system with ArrayList

// A simple Particle class
class Particle 
{
  
  float x;
  float y;
  float xspeed;
  float yspeed;
  
  Particle() 
  {
    x = mouseX;
    y = mouseY;
    xspeed = random(-1,1);
    yspeed = random(-2,0);
  }
  
  void update() 
  {
    x = x + xspeed; //or x += xspeed
    y = y + yspeed; //or y += yspeed
    
    //gravity
    yspeed += 0.1;
  }
  
  void display() 
  {
    fill(180, 100, 100, 20); //notice the 4th argument is alpha
    ellipse(x,y,20,20);
  }
}